
.innerHomePagePopup {
  background-image: url(../../images/samples/newsletterBG_new.png);
  background-repeat: no-repeat;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding-bottom: 20%;
  background-size: cover;
}

.innerHomePagePopup .newsletter-email {
    display: flex;
    flex-direction: column;
    gap: 9px;
    width: 300px;
}

    .innerHomePagePopup .newsletter-email .newsletter-subscribe-text {
      float: right;
      width: 300px;
      height: 47px;
      border-radius: 3px;
      border: 1px solid black;
    }

    .innerHomePagePopup .newsletter-email .newsletter-subscribe-button {
      float: right;
      width: 300px;
      height: 47px;
      padding: 0;
      border: none;
      border-radius: 3px;
      font-size: 18px;
      font-weight: normal;
      transition: all .2s ease;
    }


  .innerHomePagePopup .newsletter .title strong {
    font-weight: normal;
    color: black;
    font-size: 18px;
  }

.newsletter-email {
  margin: auto;
}

.innerHomePagePopup .newsletter {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  margin-top: 4%;
  align-content: flex-start;
  padding-right: 11%;
}

.newsletter .title {
  text-align: right;
}

.TitleNesLetter {
  text-align: right;
  font-size: 1.8rem;
  padding-top: 7%;
  color: black;
  font-weight: bold;
  padding-right: 4%;
  line-height: 1;
}

div#wrapperHomePagePopup .ui-dialog {
  position: fixed !important;
  left: 57% !important;
  padding-bottom: 0px;
  max-width: 95%;
  box-shadow: 0 0 20px rgb(0 0 0 / 15%);
  background-color: #fff;
  z-index: 1050;
  top: 200px;

}

.ui-dialog[aria-describedby="wrapperHomePagePopup"]{
    width: 600px !important;
}

a.ui-dialog-titlebar-close.ui-corner-all {
    float: left;
}

.ui-dialog-titlebar .ui-dialog-title {
  font-size: 0px;
}

.LineTerms > a > text:hover {
  color: white;
}

.LineTerms > a > text {
  text-decoration: underline;
}

.select-from-cart .td-title {
  display: flex !important;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
}

@media (max-width: 1024px) {

  .ui-dialog.ui-corner-all.ui-widget.ui-widget-content.ui-front.ui-draggable.ui-resizable div#wrapperHomePagePopup {
    width: 320px !important;
    margin: auto;
  }

  .innerHomePagePopup .newsletter {
    padding-right: 0;
  }

  .innerHomePagePopup .newsletter-email .newsletter-subscribe-text {
    float: right;
    width: 294px;
    height: 38px;
    border-radius: 3px;
    border: 1px solid black;
  }

  .innerHomePagePopup {
    background-image: url(../../images/samples/all-old-icons/popup_newsletter_mobile.png);
    background-repeat: no-repeat;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding-bottom: 20%;
    background-size: contain;
    background-color: white;
  }

  div#wrapperHomePagePopup {
    margin-top: -9% !important;
  }

  .TitleNesLetter {
    text-align: right;
    font-size: 25px;
    padding-top: 7%;
    color: black;
    font-weight: bold;
    padding-right: 0;
    line-height: 1;
    margin-right: 0;
    background-color: white;
  }

  div#wrapperHomePagePopup .ui-dialog.ui-corner-all.ui-widget.ui-widget-content.ui-front.ui-draggable.ui-resizable {
    width: 322px !important;
    height: 525px !important;
  }

  .innerHomePagePopup .newsletter-email .newsletter-subscribe-button {
    width: 294px;
    height: 38px;
    border: none;
    border-radius: 3px;
    /*background: none;*/
    font-size: 18px;
    font-weight: normal;
    transition: all .2s ease;
  }

  .newsletter-email .newsletter-email {
    display: block;
    overflow: inherit;
    max-width: 294x;
    margin: 0 auto;
  }

  .innerHomePagePopup .newsletter-email {
    display: flex;
    flex-direction: column;
    gap: 9px;
    width: 294px;
  }

  div#newsletter-subscribe-block .newsletter-email {
    display: flex;
    overflow: initial;
    max-width: 255px;
    margin: 0 auto;
    flex-direction: column;
    align-items: center;
    gap: 10px;
  }

  .footer-upper-newsletter .newsletter-email .newsletter-subscribe-button {
    float: right;
    width: 322px;
    height: 38px;
    padding: 0;
    border: none;
    border-radius: 0;
    /*background: none;*/
    font-size: 16px;
    transition: all .2s ease;
    font-weight: normal;
  }

  .footer-upper-newsletter .newsletter .newsletter-email .newsletter-subscribe-text {
    float: right;
    width: 322px;
    height: 38px;
    border-radius: 0;
    color: white !important;
    text-align: center;
  }

  .newsletter .title {
    text-align: right;
    width: 116%;
  }

  /*.ui-dialog-titlebar button {
    position: absolute;
    top: 5%;
    left: 3%;
    border: none;
    background: transparent;
    overflow: hidden;
    font-size: 0px;
    text-align: center;
    opacity: 1;
    z-index: 9000000;
  }*/

  /*.ui-dialog.ui-corner-all.ui-widget.ui-widget-content.ui-front.ui-draggable.ui-resizable {
    width: 400px !important;
  }*/

  .home-page-body .ui-dialog-titlebar button:before {
    color: black;
  }
}

.ui-dialog[aria-labelledby="ui-dialog-title-wrapperHomePagePopup"] {
  position: absolute !important;
  left: 50% !important;
  -webkit-transform: translateX(-50%);
  -ms-transform: translateX(-50%);
  transform: translateX(-50%);
  width: 860px !important;
  max-width: 95%;
  box-shadow: 0 0 20px rgb(0 0 0 / 15%);
  background-color: #fff;
  z-index: 1050;
}

.ui-dialog[aria-labelledby="ui-dialog-title-loadMe"] {
  background-color: transparent !important;
  font-size: 0;
  z-index: 1050;
  box-shadow: none;
}

.modal[aria-labelledby="loadMeLabel"] {
  overflow: visible !important;
}

.ui-dialog[aria-labelledby="ui-dialog-title-loadMe"] .ui-dialog-titlebar {
  font-size: 0;
}

/* ----- Diary Modal ----- */
.modal.custom {
  top: 50%;
  right: 0;
  bottom: 0;
  left: 0;
  overflow: hidden;
  outline: 0;
  display: none;
}

  .modal.custom .modal-dialog {
    width: 50%;
    margin: 0 auto;
  }

#modaltitle {
  width: auto;
  background-color: #dff0d8;
  font-size: x-large;
}

#modelbody {
  text-align: right;
}

.modelp {
  display: inline;
  text-decoration: none;
}
/* ----- Diary Modal ----- */


[aria-labelledby="ui-dialog-title-wrapperHomePagePopup"] {
  top: 100px;
  z-index: 200000000 !important;
  width: 860px !important;
}

/*[aria-describedby="wrapperHomePagePopup"] {
  width: 50% !important;
}*/
